Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1085136 - PRD35 - [RFE] webadmin : Allow online vDisk description editing.
Summary: PRD35 - [RFE] webadmin : Allow online vDisk description editing.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.5.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Allon Mureinik
QA Contact: Gal Amado
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-07 23:24 UTC by Prasad Mukhedkar
Modified: 2019-03-22 07:13 UTC (History)
13 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta2
Doc Type: Enhancement
Doc Text:
With this release, a disk's description property can be changed while the virtual machine is running. A description of a disk may change frequently (for example, when you install new software on the guest), and having to shut the virtual machine down in order to update it can hinder production needs.
Clone Of:
Environment:
Last Closed: 2015-02-11 18:00:26 UTC
oVirt Team: ---
Target Upstream Version:
scohen: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 30477 None None None Never
oVirt gerrit 30501 None None None Never

Comment 3 Aharon Canan 2014-07-17 14:31:17 UTC
I think we can, in case we are doing it please do not forget REST-API

Comment 6 Gal Amado 2014-08-20 06:04:05 UTC
Checked it on :
oVirt Engine Version: 3.5.0-0.0.master.20140804172041.git23b558e.el6
VDSM Version: vdsm-4.16.1-6.gita4a4614.el6.x86_64

added /modified / removed disk description of a disk of a running VM .
done by AdminGUI and restAPI.

the operation succeeded GUI wise, but brakes xml structure.
<description> element sometimes appears and sometimes not.
all disk elements should always appear in xml, even if they have 'empty' value 

more details on BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1131800

Comment 7 Allon Mureinik 2014-08-20 06:47:12 UTC
(In reply to Gal Amado from comment #6)
> Checked it on :
> oVirt Engine Version: 3.5.0-0.0.master.20140804172041.git23b558e.el6
> VDSM Version: vdsm-4.16.1-6.gita4a4614.el6.x86_64
> 
> added /modified / removed disk description of a disk of a running VM .
> done by AdminGUI and restAPI.
> 
> the operation succeeded GUI wise, but brakes xml structure.
> <description> element sometimes appears and sometimes not.
> all disk elements should always appear in xml, even if they have 'empty'
> value 
> 
> more details on BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1131800

This is inconsequential to this RFE - the same behavior is exhibited when cold-editing a disk's description.
Moving BZ back to ON_QA, and lets use bug 1131800 to track the broken XML structure (which I'm not sure is wrong, BTW - see details there).

Comment 8 Elad 2014-08-20 14:24:04 UTC
Allon, the description is not changed in the metadata of the volume also, the description stays empty in the metadata after editing it via the webadmin.
Should this fact fail the test for this bug? And if not, why?

Comment 9 Tal Nisan 2014-08-20 14:50:42 UTC
Compare the behaviors between "cold" edit and "hot" edit, if the result is the same, this is a different bug, if it only occurs with "hot" edit then this bug is not fixed

Comment 10 Allon Mureinik 2014-08-20 15:08:54 UTC
(In reply to Elad from comment #8)
> Allon, the description is not changed in the metadata of the volume also,
> the description stays empty in the metadata after editing it via the
> webadmin.
> Should this fact fail the test for this bug? And if not, why?
We never updated the volume metadata, regardless of whether the VM is up or not - see bug 1047621.
Fixing that is not in the scope of this RFE, and should not fail the test for it.

Comment 11 Elad 2014-08-21 07:09:16 UTC
(In reply to Allon Mureinik from comment #10)
> (In reply to Elad from comment #8)
> > Allon, the description is not changed in the metadata of the volume also,
> > the description stays empty in the metadata after editing it via the
> > webadmin.
> > Should this fact fail the test for this bug? And if not, why?
> We never updated the volume metadata, regardless of whether the VM is up or
> not - see bug 1047621.
> Fixing that is not in the scope of this RFE, and should not fail the test
> for it.

Thanks, it will be tested accordingly

Comment 14 Allon Mureinik 2014-08-22 09:32:59 UTC
This is has nothing to do with editing while the VM is active - if there's a difference in the way we represent the XML, it should be tracked in bug 1131800.

Comment 17 Yaniv Lavi 2015-01-19 17:43:30 UTC
Original Request:

1. What is the nature and description of the request?

Unable to edit description of a vDisk associated with a VM without powering  down the VM first.Since the description appear to be simply labels and do not affect the database back end, we can see no reason why this should not be possible.

2. Why does the customer need this? (List the business requirements here) 

Freedom to amend and rename disks Aliases and Descriptions without having to power down the VM. The use of a disk can change during the lifecycle of a VM and we need the ability to easily change its description and possible Alias.
 
3. How would the customer like to achieve this? 
Allow editing of a disk whilst the associated VM remains online, via the webui, CLI and APIs.

4. For each functional requirement listed in question 4, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented. 
Spin up a VM and then attempt to edit an associated disk to change its Alias and Description fields.

Comment 19 errata-xmlrpc 2015-02-11 18:00:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.